package com.atrium.negocio;

import com.atrium.hibernate.Usuarios;

import com.atrium.hibernate.modelo.IGestion_Usuario;

/**
 * Logica de negocio de usuarios. De momento solo movimiento en la basa de
 * datos.
 * 
 * @author Roxana Ariza Sánchez.
 * 
 */
public class Logica_GestionUsuarios implements ILogica_GestionUsuarios {

	private IGestion_Usuario gestion_usuario;

	/**
	 * Alta de usuario. Se delega el tratamiento de la excepcion en el
	 * controlador.
	 */
	@Override
	public void alta_Usuario(Usuarios usuario) throws Exception {
		gestion_usuario.alta_Usuario(usuario);
	}

	/**
	 * Baja de usuario.Se delega el tratamiento de la excepcion en el
	 * controlador.
	 */
	@Override
	public void baja_Usuarios(Usuarios usuario) throws Exception {
		gestion_usuario.baja_Usuario(usuario);
	}

	/**
	 * Modificacion de usuario.Se delega el tratamiento de la excepcion en el
	 * controlador.
	 */
	@Override
	public void modificacion_Usuarios(Usuarios usuario) throws Exception {
		gestion_usuario.modificacion_Usuario(usuario);
	}

	@Override
	public Usuarios consulta_Usuarios(Usuarios usuario) {
		return gestion_usuario.consultar_PorNombre(usuario.getNombre());
	}

	// ACCESORES PARA SPRING
	public void setGestion_usuario(IGestion_Usuario gestion_usuario) {
		this.gestion_usuario = gestion_usuario;
	}

}
